<?php

return array(
    'checker.title' => 'Jelix Installation checking',
    'number.errors' => ' errors.',
    'number.error' => ' error.',
    'number.warnings' => ' warnings.',
    'number.warning' => ' warning.',
    'number.notices' => ' notices.',
    'number.notice' => ' notice.',
    'build.not.found' => 'BUILD jelix file is not found',
    'conclusion.error' => 'You must fix the error in order to run your application correctly.',
    'conclusion.errors' => 'You must fix errors in order to run your application correctly.',
    'conclusion.warning' => 'Your application may run without problems, but it is recommanded to fix the warning.',
    'conclusion.warnings' => 'Your application may run without problems, but it is recommanded to fix warnings.',
    'conclusion.notice' => 'The main prerequisites to run your application are ok, although there is a notice.',
    'conclusion.notices' => 'The main prerequisites to run your application are ok, although there are notices.',
    'conclusion.ok' => 'The main prerequisites to run your application are ok',
    'cannot.continue' => 'Cannot continue the checking: %s',
    'extension.not.installed' => 'The extension %s is not available',
    'extension.optional.not.installed' => 'the optional extension %s is not available',
    'extension.required.not.installed' => 'the required extension %s is not available',
    'extension.installed' => 'The extension %s is available',
    'extension.optional.installed' => 'the optional extension %s is available',
    'extension.required.installed' => 'the required extension %s is available',
    'extensions.required.ok' => 'All needed PHP extensions are available',
    'extension.database.ok' => 'The application will use a SQL database: %s',
    'extension.database.ok2' => 'The application can use SQL databases: %s',
    'extension.database.missing' => 'The application needs a SQL database',
    'extension.database.missing2' => 'The application couldn\'t use a SQL database',
    'path.core' => 'jelix init.php file or application.ini.php file is not loaded',
    'path.temp' => 'temp/yourApp directory is not writable or the application temp path is not correctly set !',
    'path.log' => 'var/log directory (in the directory of your application) is not writable or the application log path is not correctly set!',
    'path.var' => 'The application var path is not correctly set: var directory  doesn\'t exist!',
    'path.config' => 'The application config path is not correctly set: config directory  doesn\'t exist!',
    'path.www' => 'The application www path is not correctly set: www directory  doesn\'t exist!',
    'path.config.writable' => 'The directory var/config have not write rights',
    'path.profiles.writable' => 'The file profiles.ini.php have not write rights',
    'path.installer.writable' => 'The file installer.ini.php have not write rights',
    'path.custom.not.exists' => 'The file %s is not found, rights cannot be validated',
    'path.custom.writable' => 'The file %s have not write rights',
    'path.custom.ok' => 'The file %s have write rights',
    'php.bad.version' => 'Bad PHP version',
    'php.version.current' => 'Current PHP version: %s',
    'php.ok.version' => 'The PHP version %s is ok',
    'php.version.required' => 'The application requires at least PHP %s',
    'too.critical.error' => 'Too much critical errors. Fix them.',
    'config.file' => '$config_file variable does not exist or doesn\'t contain a correct application config file name',
    'paths.ok' => 'temp, log, var, config and www directory are ok',
    'ini.magic_quotes_gpc' => 'php.ini: magic quotes are not supported by Jelix. You must deactivate it into PHP',
    'ini.magic_quotes_runtime' => 'php.ini: magic_quotes_runtime must be off',
    'ini.session.auto_start' => 'php.ini: session.auto_start must be off',
    'ini.safe_mode' => 'php.ini: safe_mode is deprecated and is not recommended.',
    'ini.register_globals' => 'php.ini: you must deactivate register_globals, for security reasons, and because this option is not needed.',
    'ini.asp_tags' => 'php.ini: you should deactivate asp_tags. No need to have this option.',
    'ini.ok' => 'php settings are ok',

    'module.unknown' => 'Unknown module %s',
    'module.circular.dependency' => 'Circular dependency ! Cannot install the component %s',
    'module.needed' => 'To install %s these modules are needed: %s',
    'module.forbidden' => 'The module %s is in conflict with %s. Only one of them can be installed.',
    'module.dependency.error' => 'The module %s, which is a dependency of %s, cannot be installed',
    'module.choice.ambiguous' => 'The module %s needs one of these modules, %s. But you must explicitely to install one of them.',
    'module.choice.unknown' => 'The module %s needs one of these modules, %s. But there are unknown or do not met version criterias',
    'module.bad.jelix.version' => 'The module %s needs another jelix version (%s - %s)',
    'module.bad.dependency.version' => 'The module %s needs another version of the module %s (expected version %s)',
    'module.configurator.class.not.found' => 'The configuration class %s for the module %s doesn\'t exist',
    'module.installer.class.not.found' => 'The installation class %s for the module %s doesn\'t exist',
    'module.uninstaller.class.not.found' => 'The uninstallation class %s for the module %s doesn\'t exist',
    'module.upgrader.class.not.found' => 'The upgrade class %s for the module %s doesn\'t exist',
    'module.error.delete.dependency' => 'Module %s, , needed by module %s, should be removed at the same time',
    'module.error.install.dependency' => 'Module %s,  should be removed because of the removal of one of its dependencies, module %s, but it asked to be install/upgrade at the same time',
    'module.upgrader.missing.version' => 'Target version is missing for the upgrade script %s of the module %s',
    'module.missing.version' => 'Version is missing from the module.xml file of the module %s',

    'installer.ini.missing.version' => 'The previous version of the module %s is missing from the installer.ini.php file',

    'install.start' => 'Installation starts',
    'install.end' => 'All modules are installed or upgraded',
    'install.bad.end' => 'Installation/upgrade is aborted',
    'install.installers.disabled' => 'Installation scripts and update scripts will not be executed: it is disabled in the configuration.',

    'install.entrypoint.wrong.config' => 'The entry point %s should have its own configuration file',

    'install.dependencies.ok' => 'All modules dependencies are ok',
    'install.bad.dependencies' => 'Error in dependencies.',
    'install.invalid.xml.file' => 'The identity file  %s is invalid or not found',

    'install.module.already.installed' => 'Module %s is already installed',
    'install.module.installed' => 'Module %s installed',
    'install.module.error' => 'An error occured during the installation of the module %s: %s',
    'install.module.check.dependency' => 'Check dependencies of the module %s',
    'install.module.upgraded' => 'Module %s upgraded to the version %s',
    'install.module.upgrade.script.executed' => 'Upgrade script for the version %s of the module %s has been launched',
    'install.module.main.upgrade.script.executed' => 'Main upgrade script of the module %s has been launched',
    'install.module.uninstalled' => 'Module %s has been uninstalled',
    'more.details' => 'More details',

    'configuration.start' => 'Configuration starts',
    'configuration.end' => 'Modules are configured',
    'configuration.bad.end' => 'Configuration is aborted',
    'configuration.module.start' => 'Configuration of the module %s',
    'configuration.module.unconfigure.start' => 'Unconfigure the module %s',
    'configuration.module.configured' => 'Module %s configured',
    'configuration.module.error' => 'An error occured during the configuration of the module %s: %s',
    'configuration.ask.parameters' => 'Parameters to install module %s',
);
